Bug 615314 - Complex search for DOWN resource returning UP resources
Complex search for DOWN resource returning UP resources
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: SearchBar (Show other bugs)
3.0.0
All Linux
high Severity high (vote)
: ---
: ---
Assigned To: Charles Crouch
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-16 09:49 EDT by John Sanda
Modified: 2015-02-01 18:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-04 15:53:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sanda 2010-07-16 09:49:47 EDT
Description of problem:
When I run the following search,

availability=down (plugin=platform | plugin=RHQAGENT | plugin=Apache)

it returns UP resources. The generated JPQL is,

SELECT resource
FROM Resource resource
WHERE ( resource.inventoryStatus = :inventoryStatus )
AND  (  (  ( resource.currentAvailability.availabilityType = 0 )  AND  ( LOWER(resource.name) LIKE '%(plugin=platform%' )  )  OR  ( LOWER(resource.resourceType.plugin) LIKE '%rhqagent%' )  OR  ( LOWER(resource.resourceType.plugin) LIKE '%apache%' )  )

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.